name = "Test Lua Mod"
dependencies = {
	{"exdilin", "0.5.0"}
}

function register(registerType)
	if registerType == "textures" then
		exdilin.register_and_load_texture("Ukrainian Flag Texture", "flag.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Ukrainian Navy Emblem Texture", "ukrain.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Ukrainian Coat of Arms Texture", "CoA of Ukraine.png", "Normal", "OneSideTo1x1")
		exdilin.load_texture("Icons/HD/ExampleIcon", "moment.png")
	end
end
function pre_init()
	local flagTextureItem = exdilin.texture_item("Ukrainian Flag Texture")
	flagTextureItem.register()
	local emblemTextureItem = exdilin.texture_item("Ukrainian Navy Emblem Texture")
	emblemTextureItem.register()
	local coatofarmsTextureItem = exdilin.texture_item("Ukrainian Coat of Arms Texture")
	coatofarmsTextureItem.register()
	exdilin.music_item("Ukraine").register()
end
function init()
	exdilin.load_audio("Music/Ukraine", "ukrayina.ogg")
end
